"""
Module containing every criteria for converge test

Criteria :
  - MonotonyCriterion
    - stops when the iteration limit is reached
    - stops when the cost rises again
  - RelativeValueCriterion
    - stops when the iteration limit is reached
    - stops when the relative value error is below a certain level
  - AbsoluteValueCriterion
    - stops when the iteration limit is reached
    - stops when the absolute value error is below a certain level
"""

from criteria import *

__all__ = ['criteria']